<?php
/**
*
* @package phpBB Extension - Like&Dislike
* @copyright (c) 2019 southklad
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace southklad\likedislike\core;

class helper
{
	/** @var \phpbb\db\driver\driver_interface */
	protected $db;

	/** @ \southklad\likedislike\Tables */
	protected $rating_table;

	/** @ \southklad\likedislike\Tables */
	protected $rating_users_table;

	/** @ \southklad\likedislike\Tables */
	protected $rating_topics_table;

	/**
	* Constructor
	*/
	public function __construct(
		\phpbb\db\driver\driver_interface $db,
		$rating_table,
		$rating_users_table,
		$rating_topics_table
	)
	{
		$this->db = $db;
		$this->rating_table = $rating_table;
		$this->rating_users_table = $rating_users_table;
		$this->rating_topics_table = $rating_topics_table;
	}

	public function udate_topic_rating($post_id, $topic_id)
	{
		$sql = 'SELECT rate_id, positiv, negativ
			FROM ' . $this->rating_table . '
				WHERE post_id = ' . $post_id;
		$result = $this->db->sql_query($sql);
		$row = $this->db->sql_fetchrow($result);
		$positiv = $row['positiv'];
		$negativ = $row['negativ'];
		$rate_id = $row['rate_id'];
		$this->db->sql_freeresult($result);
		if ($rate_id)
		{
			$this->db->sql_query('DELETE FROM ' . $this->rating_table . ' WHERE post_id = ' . $post_id . '');
			$sql = 'DELETE FROM ' . $this->rating_users_table . ' WHERE post_rate_id = ' . $post_id . '';
			$this->db->sql_query($sql);

			$sql = 'SELECT rate_id FROM ' . $this->rating_table . ' WHERE topic_id = ' . $topic_id;
			$result = $this->db->sql_query($sql);
			$rate_id = (int) $this->db->sql_fetchfield('rate_id');
			$this->db->sql_freeresult($result);

			if ($rate_id)
			{
				$sql = 'UPDATE ' . $this->rating_topics_table . '
					SET positiv = positiv - ' . $positiv . ', negativ = negativ - ' . $negativ . '
						WHERE topic_rate_id = ' . $topic_id;
				$this->db->sql_query($sql);
			}
			else
			{
				$this->db->sql_query('DELETE FROM ' . $this->rating_topics_table . ' WHERE topic_rate_id = ' . $topic_id . '');
			}
		}
	}
}

