(function($) {  // Avoid conflicts with other libraries

'use strict';

$(function()
{
	$('.rate_t').each(function (index, value) {
		//console.log($(this).attr('id'));
		var total = Number($("#" + $(this).attr('id')).html());
		var topic = $(this).attr('id');
		var topic_id = topic.replace(/topic_rate/g, "");
		var positiv = Number($("#rate_p" + topic_id).html());
		var negativ = Number($("#rate_n" + topic_id).html());
		var first_post_positiv = Number($("#first_post_positiv" + topic_id).html());
		var first_post_negativ = Number($("#first_post_negativ" + topic_id).html());
		var first_post_total = Number($("#first_post_total" + topic_id).html());
		var resume = negativ / total;

		if (resume > 0.5 && (first_post_positiv < first_post_negativ))
		{
			$("#topic" + topic_id).css('opacity', '0.5');
		}
	});

	$('.rate').each(function (index, value) {
		//console.log($(this).attr('id'));
		var resume = 0;
		var count = Number($("#" + $(this).attr('id')).html());
		var post = $(this).attr('id');
		var post_id = post.replace(/post_rate/g, "");
		var negativ = Number($("#post_rate_negativ" + post_id).html());
		var positiv = Number($("#post_rate_positiv" + post_id).html());

		$("#post_rate" + post_id).removeClass('hdn');
		if (count != 0)
		{
			$("#clear" + post_id).removeClass('hdn');
		}
		var resume = negativ / count;
		if (resume > 0.75 && ((negativ - positiv) >= 10))
		{
			$("#p" + post_id).css('opacity', '0.5');
		}
	});

	$('.positiv').each(function (index, value) {
		//console.log($(this).attr('id'));
		var positiv = Number($("#" + $(this).attr('id')).html());
		var post = $(this).attr('id');
		var post_id = post.replace(/post_rate_positiv/g, "");
		if (positiv != 0)
		{
			$("#clear" + post_id).removeClass('hdn');
		}
	});

	$('.negativ').each(function (index, value) {
		//console.log($(this).attr('id'));
		var positiv = Number($("#" + $(this).attr('id')).html());
		var post = $(this).attr('id');
		var post_id = post.replace(/post_rate_negativ/g, "");
		if (positiv != 0)
		{
			$("#clear" + post_id).removeClass('hdn');
		}
	});
});

phpbb.addAjaxCallback('add_postrate', function(res) {
	var post_id = res.POST_ID;
	var typeID = res.ACTION;
	var trigger = res.update;
	var positiv = $("#post_rate_positiv" + post_id).html();
	var negativ = $("#post_rate_negativ" + post_id).html();
	var post_rate = $("#post_rate" + post_id).html();
	if (typeof res.success !== 'undefined') {
		if (typeID == 0)
		{
			negativ++;
			if (trigger) {
				positiv--;
			}
			if (positiv < 0)
			{
				positiv = 0;
			}
			post_rate = Number(positiv) + Number(negativ);
			var resume = Number(negativ) / post_rate;
			if (resume > 0.75 && ((negativ - positiv) >= 10))
			{
				$("#p" + post_id).css('opacity', '0.5');
			}

			$("#post_rate_negativ" + post_id).html(parseInt(negativ));
			$("#post_rate_positiv" + post_id).html(parseInt(positiv));
			$("#post_rate" + post_id).html(parseInt(post_rate));
			$("#rate_down" + post_id).addClass('hdn');
			$("#rate_up" + post_id).removeClass('hdn');
			$("#clear" + post_id).removeClass('hdn');
		}
		else if (typeID == 1)
		{
			positiv++;
			if (trigger) {
				negativ--;
			}
			if (negativ < 0)
			{
				negativ = 0;
			}
			post_rate = Number(positiv) + Number(negativ);
			var resume = Number(negativ) / post_rate;
			if (resume <= 0.75 && ((negativ - positiv) < 10))
			{
				$("#p" + post_id).css('opacity', '1.0');
			}

			$("#post_rate_negativ" + post_id).html(parseInt(negativ));
			$("#post_rate_positiv" + post_id).html(parseInt(positiv));
			$("#post_rate" + post_id).html(parseInt(post_rate));
			$("#rate_up" + post_id).addClass('hdn');
			$("#rate_down" + post_id).removeClass('hdn');
			$("#clear" + post_id).removeClass('hdn');
		}
		else if (typeID == 2)
		{
			$("#post_rate_negativ" + post_id).html('0');
			$("#post_rate_positiv" + post_id).html('0');
			$("#post_rate" + post_id).html('0');
			$("#p" + post_id).css('opacity', '1.0');
			$("#clear" + post_id).addClass('hdn');
			$("#rate_down" + post_id).removeClass('hdn');
			$("#rate_up" + post_id).removeClass('hdn');
		}
	}
});
})(jQuery); // Avoid conflicts with other libraries
